# LogicTools

![LogicTools Banner](assets/banner.webp)

## Overview

LogicTools is a Python package that provides utility functions for string and mathematical operations. It is designed to simplify common tasks such as string manipulation and basic mathematical calculation.

## Features

- Convert strings to uppercase
- Reverse strings
- Count words in a string
- Perform basic mathematical operation (factorial)

## Installation

You can install LogicTools via pip:

```sh
pip install logictools
```

## Usage
### String Utilities

```python
from logictools import convert_to_uppercase, reverse_string, character_count

text = "Hello"
print(convert_to_uppercase(text))  # Output: HELLO 
print(reverse_string(text))        # Output: olleH
print(character_count(text))            # Output: 5
```

### Mathematical Utilities

```python
from logictools import factorial

print(factorial(5))   # Output: 120
```

## 📜 License  
This project is licensed under the **MIT License**. 📝  
See the [LICENSE](LICENSE.txt) file for more details.  


## 📬 Contact

**📧 Email:** psai49779@example.com

**🔗 LinkedIn:** https://www.linkedin.com/in/rangdal-pavansai/

**💻 GitHub:** https://github.com/Pavansai20054